Summary: System image generation tool
Name: imagefactory
Version: 1.0.3
Release: 1%{?dist}
Source0: http://repos.fedorapeople.org/repos/aeolus/imagefactory/%{version}/tarball/%{name}-%{version}.tar.gz
License: ASL 2.0
Group: Applications/System
URL: http://www.aeolusproject.org/imagefactory.html
BuildArch: noarch
Requires: oz >= 0.7.0
Requires: euca2ools
Requires: python-pycurl
Requires: python-libguestfs
Requires: python-zope-interface
Requires: python-boto >= 2.0
Requires: libxml2-python
Requires: python-httplib2
Requires: python-argparse
Requires: python-cloudservers
Requires: python-psphere
Requires: VMDKstream
Requires: python-suds >= 0.4.1
Requires: python-paste-deploy
Requires: python-oauth2
Requires: qemu-img
# We need this for dc-rhev-image
# TODO: Remove this requirement when move pushing internal to the factory
Requires: iwhd >= 1.2
Requires(post): chkconfig
Requires(preun): chkconfig
# This is for /sbin/service
Requires(preun): initscripts
BuildRequires: python-setuptools

%description
imagefactory allows the creation of system images for multiple virtualization
and cloud providers from a single template definition. See 
http://aeolusproject.org/projects/imagefactory for more information.

%package jeosconf-ec2-fedora
Summary: Configuration for JEOS images for EC2
License: ASL 2.0

%description jeosconf-ec2-fedora
The configuration file for Fedora EC2 JEOS images.

%package jeosconf-ec2-rhel
Summary: Configuration for JEOS images for EC2
License: ASL 2.0

%description jeosconf-ec2-rhel
The configuration file for RHEL EC2 JEOS images.

%prep
%setup -q

%build
python setup.py build

%install
python setup.py install -O1 --root=%{buildroot} --skip-build

%{__install} -d %{buildroot}/%{_sysconfdir}/imagefactory/jeos_images
%{__install} -d %{buildroot}/%{_localstatedir}/lib/imagefactory/images
%{__install} -d %{buildroot}/%{_sysconfdir}/logrotate.d

sed -i '/\/usr\/bin\/env python/d' %{buildroot}/%{python_sitelib}/imgfac/*.py

%{__install} conf/ec2_fedora_jeos.conf %{buildroot}/%{_sysconfdir}/imagefactory/jeos_images
%{__install} conf/ec2_rhel_jeos.conf %{buildroot}/%{_sysconfdir}/imagefactory/jeos_images
%{__install} -m0600 conf/imagefactory.sysconfig %{buildroot}/%{_sysconfdir}/sysconfig/imagefactory
%{__install} -m0600 conf/imagefactory.logrotate %{buildroot}/%{_sysconfdir}/logrotate.d/imagefactory

%post
/sbin/chkconfig --add %{name}

%preun
if [ $1 = 0 ] ; then
    /sbin/service %{name} stop >/dev/null 2>&1
    /sbin/chkconfig --del %{name}
fi

%files
%doc COPYING
%doc target_content.xml.example
%{_initddir}/imagefactory
%config(noreplace) %{_sysconfdir}/imagefactory/imagefactory.conf
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%config(noreplace) %{_sysconfdir}/logrotate.d/%{name}
%dir %attr(0755, root, root) %{_sysconfdir}/pki/imagefactory/
%dir %attr(0755, root, root) %{_sysconfdir}/imagefactory/jeos_images/
%dir %attr(0755, root, root) %{_localstatedir}/lib/imagefactory/images
%config %{_sysconfdir}/pki/imagefactory/cert-ec2.pem
%{python_sitelib}/imgfac
%{python_sitelib}/imagefactory-*.egg-info
%{_bindir}/imagefactory
%{_mandir}/man1/*

%files jeosconf-ec2-fedora
%{_sysconfdir}/imagefactory/jeos_images/ec2_fedora_jeos.conf

%files jeosconf-ec2-rhel
%{_sysconfdir}/imagefactory/jeos_images/ec2_rhel_jeos.conf

%changelog
* Fri Feb 15 2013 Ian McLeod <imcleod@redhat.com> - 1.0.3-1
- Add EC2 JEOS AMIs for RHEL 5.9 [BZ889341]
- Add EC2 JEOS AMIs for RHEL 6.4 [BZ881404]
- Add support for JEOS AMIs that inject keys into non-root users

* Tue Sep 11 2012 Ian McLeod <imcleod@redhat.com> - 1.0.2-1
- Add an example of target_contet.xml to doc dir [BZ 828476]
- Add ability to specify a host or compute resource for vSphere [BZ 853126]
- Forcibly load KVM module at startup [BZ 839323]

* Mon Jun 18 2012 Ian McLeod <imcleod@redhat.com> - 1.0.1-2
- Add EC2 JEOS AMIs for RHEL 6.3 [BZ 831683]

* Wed Mar 21 2012 Ian McLeod <imcleod@redhat.com> - 1.0.0rc11-1
- Refreshed RHEL5 U8 JEOS [BZ 805231]
- Remove dates from JEOS config file names

* Fri Mar 16 2012 Ian McLeod <imcleod@redhat.com> - 1.0.0rc10-1
- Fix typo in subpackage description
- Remove version-lock from JEOS subpackages

* Thu Sep 15 2011 Ian McLeod <imcleod@redhat.com> - 0.6.1
- Update Oz requirement to 0.7.0 or later for new target-specific package config
- Update SPEC file to restart service after an install

* Mon Apr 04 2011 Chris Lalancette <clalance@redhat.com> - 0.1.6-1
- Initial spec file.
